﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace App.Erp.Models
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="hnue_tuyensinh")]
	public partial class KetquaTSDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    partial void InsertHnue_KetquaTS(Hnue_KetquaTS instance);
    partial void UpdateHnue_KetquaTS(Hnue_KetquaTS instance);
    partial void DeleteHnue_KetquaTS(Hnue_KetquaTS instance);
    #endregion
		
		public KetquaTSDataContext() : 
				base(global::System.Configuration.ConfigurationManager.ConnectionStrings["hnue_tuyensinhConnectionString"].ConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaTSDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaTSDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaTSDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaTSDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<Hnue_KetquaTS> Hnue_KetquaTS
		{
			get
			{
				return this.GetTable<Hnue_KetquaTS>();
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Hnue_KetquaTS")]
	public partial class Hnue_KetquaTS : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _FullName;
		
		private System.Nullable<System.DateTime> _Birthday;
		
		private string _Hometown;
		
		private string _Province;
		
		private string _M1;
		
		private string _M2;
		
		private string _M3;
		
		private string _M4;
		
		private string _Total;
		
		private System.Nullable<int> _Result;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnFullNameChanging(string value);
    partial void OnFullNameChanged();
    partial void OnBirthdayChanging(System.Nullable<System.DateTime> value);
    partial void OnBirthdayChanged();
    partial void OnHometownChanging(string value);
    partial void OnHometownChanged();
    partial void OnProvinceChanging(string value);
    partial void OnProvinceChanged();
    partial void OnM1Changing(string value);
    partial void OnM1Changed();
    partial void OnM2Changing(string value);
    partial void OnM2Changed();
    partial void OnM3Changing(string value);
    partial void OnM3Changed();
    partial void OnM4Changing(string value);
    partial void OnM4Changed();
    partial void OnTotalChanging(string value);
    partial void OnTotalChanged();
    partial void OnResultChanging(System.Nullable<int> value);
    partial void OnResultChanged();
    #endregion
		
		public Hnue_KetquaTS()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="Int NOT NULL", IsPrimaryKey=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_FullName", DbType="NVarChar(50)")]
		public string FullName
		{
			get
			{
				return this._FullName;
			}
			set
			{
				if ((this._FullName != value))
				{
					this.OnFullNameChanging(value);
					this.SendPropertyChanging();
					this._FullName = value;
					this.SendPropertyChanged("FullName");
					this.OnFullNameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Birthday", DbType="DateTime")]
		public System.Nullable<System.DateTime> Birthday
		{
			get
			{
				return this._Birthday;
			}
			set
			{
				if ((this._Birthday != value))
				{
					this.OnBirthdayChanging(value);
					this.SendPropertyChanging();
					this._Birthday = value;
					this.SendPropertyChanged("Birthday");
					this.OnBirthdayChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Hometown", DbType="NVarChar(50)")]
		public string Hometown
		{
			get
			{
				return this._Hometown;
			}
			set
			{
				if ((this._Hometown != value))
				{
					this.OnHometownChanging(value);
					this.SendPropertyChanging();
					this._Hometown = value;
					this.SendPropertyChanged("Hometown");
					this.OnHometownChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Province", DbType="NVarChar(50)")]
		public string Province
		{
			get
			{
				return this._Province;
			}
			set
			{
				if ((this._Province != value))
				{
					this.OnProvinceChanging(value);
					this.SendPropertyChanging();
					this._Province = value;
					this.SendPropertyChanged("Province");
					this.OnProvinceChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_M1", DbType="NChar(10)")]
		public string M1
		{
			get
			{
				return this._M1;
			}
			set
			{
				if ((this._M1 != value))
				{
					this.OnM1Changing(value);
					this.SendPropertyChanging();
					this._M1 = value;
					this.SendPropertyChanged("M1");
					this.OnM1Changed();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_M2", DbType="NChar(10)")]
		public string M2
		{
			get
			{
				return this._M2;
			}
			set
			{
				if ((this._M2 != value))
				{
					this.OnM2Changing(value);
					this.SendPropertyChanging();
					this._M2 = value;
					this.SendPropertyChanged("M2");
					this.OnM2Changed();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_M3", DbType="NChar(10)")]
		public string M3
		{
			get
			{
				return this._M3;
			}
			set
			{
				if ((this._M3 != value))
				{
					this.OnM3Changing(value);
					this.SendPropertyChanging();
					this._M3 = value;
					this.SendPropertyChanged("M3");
					this.OnM3Changed();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_M4", DbType="NChar(10)")]
		public string M4
		{
			get
			{
				return this._M4;
			}
			set
			{
				if ((this._M4 != value))
				{
					this.OnM4Changing(value);
					this.SendPropertyChanging();
					this._M4 = value;
					this.SendPropertyChanged("M4");
					this.OnM4Changed();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Total", DbType="NChar(10)")]
		public string Total
		{
			get
			{
				return this._Total;
			}
			set
			{
				if ((this._Total != value))
				{
					this.OnTotalChanging(value);
					this.SendPropertyChanging();
					this._Total = value;
					this.SendPropertyChanged("Total");
					this.OnTotalChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Result", DbType="Int")]
		public System.Nullable<int> Result
		{
			get
			{
				return this._Result;
			}
			set
			{
				if ((this._Result != value))
				{
					this.OnResultChanging(value);
					this.SendPropertyChanging();
					this._Result = value;
					this.SendPropertyChanged("Result");
					this.OnResultChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
#pragma warning restore 1591
